<div>
    <h1>Modalité de paiement</h1>
    <p>Calcul de l’évolution des paiements échelonnés en fonction des lots à réaliser</p>

    <form class="mt-4" #paymentTermsForm="ngForm" (ngSubmit)="update(paymentTermsForm)">

        <div class="form-group row">
          <label for="signatureTerm" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">A la signature</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="signatureTerm" name="signatureTerm" [ngModel]="paymentTerms.signatureTerm">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="constructionAgreement" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Obtention du permis de construire</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="constructionAgreement" name="constructionAgreement" [ngModel]="paymentTerms.constructionAgreement">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="constructionOpening" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Ouverture du chantier</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="constructionOpening" name="constructionOpening" [ngModel]="paymentTerms.constructionOpening">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="fondationsCompletion" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Achèvement des fondations</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="fondationsCompletion" name="fondationsCompletion" [ngModel]="paymentTerms.fondationsCompletion">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="wallsCompletion" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Achèvement des murs</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="wallsCompletion" name="wallsCompletion" [ngModel]="paymentTerms.wallsCompletion">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="roofCompletion" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Mise hors d’eau/hors d’air</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="roofCompletion" name="roofCompletion" [ngModel]="paymentTerms.roofCompletion">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="equipmentCompletion" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Achèvement des travaux d’équipement (plomberie, menuiserie, chauffage) </label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="equipmentCompletion" name="equipmentCompletion" [ngModel]="paymentTerms.equipmentCompletion">
            <div class="input-group-append d-block">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <div class="form-group row">
          <label for="keysHandover" class="col-lg-2 col-md-6 col-sm-8 col-12 col-form-label">Remise des clés</label>
          <div class="input-group col-lg-1 col-md-3 col-sm-4 col-12">
            <input type="numeric" class="form-control" id="keysHandover" name="keysHandover" [ngModel]="paymentTerms.keysHandover">
            <div class="input-group-append">
                <span class="input-group-text">%</span>
            </div>
          </div>
        </div>

        <button type="submit" [disabled]="!paymentTermsForm.form.valid" class="btn btn-info mt-4">Mettre à jour</button>
      </form>

</div>
